#
# Copyright Michael Orlitzky
#
# http://michael.orlitzky.com/
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# http://www.fsf.org/licensing/licenses/gpl.html
#

require 'test/unit'
require 'src/websites/youporn'

# Unit tests for the Youporn class. Basically just checking
# the results of parse_video_url for now.

class YoupornTest < Test::Unit::TestCase

  def test_owns_youporn_urls
    assert(Youporn.owns_url?('http://www.youporn.com/watch/65778'))
    assert(Youporn.owns_url?('http://www.youporn.com/watch/61637/amateursoffie-fuckingagain-andtakinglo-ad/'))
  end

  
  def test_parse_video_url
    yp = Youporn.new(nil)
    
    page_data = nil
    
    File.open('test/fixtures/youporn/page_data-65778.html') do |f|
      page_data = f.read
    end
    
    test_result = yp.send('parse_video_url', page_data)
    assert_equal('http://download.youporn.com/download/112911/flv/65778_moaning_mom_fucked_at_night.flv', test_result)
  end
    
end
